Bug 500489 - CA installation wizard doesn't prompt to download/install CA chain on Firefox 3
CA installation wizard doesn't prompt to download/install CA chain on Firefox 3
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: CA (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-05-12 18:02 EDT by Chandrasekar Kannan
Modified: 2015-01-04 18:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:35:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use HTTP to download CA Chain (1002 bytes, patch)
2009-05-12 21:30 EDT, Matthew Harmsen
no flags Details | Diff
Use HTTP to download CA Chain (dogtag) (2.68 KB, patch)
2009-05-12 21:30 EDT, Matthew Harmsen
no flags Details | Diff

  None (edit)
Description Chandrasekar Kannan 2009-05-12 18:02:01 EDT
Description of problem:

- On a rhel 5.3 x86_64 with nethsm 2000 attached, I'm not 
  able to see the pop-up screen that one would see to trust
  the CA chain during CA configuration ( happens after keygen ).

Version-Release number of selected component (if applicable):

8.0

How reproducible:

- always

Steps to Reproduce:
1. see description :)
2.
3.
  
Actual results:
unable to see the dialog to import the ca chain

Expected results:
see the dialog and import the ca chain

Additional info:
using firefox 3.xx.xx as my browser
Comment 1 Matthew Harmsen 2009-05-12 20:15:41 EDT
Per discussions, I will change the path to the pop-up from https://$hostname:$https_ee_port/ca/ee/ca/getCAChain to http://$hostname:$http_ee_port/ca/ee/ca/getCAChain.
Comment 2 Matthew Harmsen 2009-05-12 21:30:19 EDT
Created attachment 343675 [details]
Use HTTP to download CA Chain
Comment 3 Matthew Harmsen 2009-05-12 21:30:54 EDT
Created attachment 343676 [details]
Use HTTP to download CA Chain (dogtag)
Comment 5 Jack Magne 2009-05-12 21:34:41 EDT
Attachments (id=343675) (id=343676) +jmagne
Comment 7 Matthew Harmsen 2009-05-12 21:38:27 EDT
cd pki/base

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      common/src/com/netscape/cms/servlet/csadmin/ImportCAChainPanel.java

% svn commit
Sending        base/common/src/com/netscape/cms/servlet/csadmin/ImportCAChainPanel.java
Transmitting file data .
Committed revision 445.


cd pki/dogtag

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ca/pki-ca.spec
M      ca-ui/dogtag-pki-ca-ui.spec
M      common-ui/shared/admin/console/config/importcachainpanel.vm

% svn commit
Sending        dogtag/ca/pki-ca.spec
Sending        dogtag/ca-ui/dogtag-pki-ca-ui.spec
Sending        dogtag/common-ui/shared/admin/console/config/importcachainpanel.vm
Transmitting file data ...
Committed revision 446.
Comment 9 Chandrasekar Kannan 2009-06-05 09:46:05 EDT
Verified with build 06/04/2009.

- installed/configured all subsystems ca,tks,tps,ra,ocsp,kra on nethsm2k
  with browser firefox 3 (latest on rhel 5.3 x86_64).
- all agent certs are imported onto the browser.  
- this of course can happen only after the proper ca chain is imported.

Note You need to log in before you can comment on or make changes to this bug.